Subject: Mapping full 1 GB of memory on a Freescale Book E part

From: Kylo Ginsberg <[email-masked]>
Date: Thu, 9 Jun 2005 15:09:32 -0700

I'm running 2.6.11 on a Freescale 8555 with 1GB of DDR memory. =20
Looking in arch/ppc/mm/fsl_booke_mmu.c, I see that at most 3 TLB
entries will be used to map memory.  Since the max tlb size on
Freescale Book E is 256 MB, this caps mapped in memory at 768 MB.

I've modified fsl_booke_mmu.c to use a 4th TLB, thus mapping the full
1 GB of memory.  However, I'm new to linux memory management, so I'd
appreciate any comments as to whether there are tradeoffs or dangers
here that I am missing.

Thanks,
Kylo